Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.graphdb
Interface Expander

All Superinterfaces:
  RelationshipExpander

All Known Implementing Classes:
  OrderedByTypeExpander, StandardExpander

    public interface Expander

extends RelationshipExpander

This interface is an extension of the `RelationshipExpander` interface that makes it possible to build customized versions of an `Expander`.

Method Summary
`Expander` | `add(RelationshipType type)` Add a `RelationshipType` to the `Expander`.
`Expander` | `add(RelationshipType type, Direction direction)` Add a `RelationshipType` with a `Direction` to the `Expander`.
`Expander` | `addNodeFilter(Predicate<? super Node> filter)` Add a `Node` filter.
`Expander` | `addRelationshipFilter(Predicate<? super Relationship> filter)` Add a `Relationship` filter.
`Expander` | `addRelationsipFilter(Predicate<? super Relationship> filter)` Deprecated. because of typo, use `addRelationshipFilter(Predicate)` instead
`Expander` | `remove(RelationshipType type)` Remove a `RelationshipType` from the `Expander`.
`Expander` | `reversed()` Returns a new instance with the exact same `RelationshipType`s, but with all directions reversed (see `Direction.reverse()`).

Methods inherited from interface org.neo4j.graphdb.RelationshipExpander
`expand`

Method Detail

### reversed

    Expander reversed()

  Description copied from interface: `RelationshipExpander`
  Returns a new instance with the exact same `RelationshipType`s, but with all directions reversed (see `Direction.reverse()`).

  Specified by:
    `reversed` in interface `RelationshipExpander`
  Returns:
    a `RelationshipExpander` with the same types, but with reversed directions.

### add

    Expander add(RelationshipType type)

  Add a `RelationshipType` to the `Expander`.

  Parameters:
    `type` - relationship type
  Returns:
    new instance

### add

    Expander add(RelationshipType type,
                 Direction direction)

  Add a `RelationshipType` with a `Direction` to the `Expander`.

  Parameters:
    `type` - relationship type
    `direction` - expanding direction
  Returns:
    new instance

### remove

    Expander remove(RelationshipType type)

  Remove a `RelationshipType` from the `Expander`.

  Parameters:
    `type` - relationship type
  Returns:
    new instance

### addNodeFilter

    Expander addNodeFilter(Predicate<? super Node> filter)

  Add a `Node` filter.

  Parameters:
    `filter` - filter to use
  Returns:
    new instance

### addRelationsipFilter

    Expander addRelationsipFilter(Predicate<? super Relationship> filter)

  Deprecated. because of typo, use `addRelationshipFilter(Predicate)` instead

  Add a `Relationship` filter.

  Parameters:
    `filter` - filter to use
  Returns:
    new instance

### addRelationshipFilter

    Expander addRelationshipFilter(Predicate<? super Relationship> filter)

  Add a `Relationship` filter.

  Parameters:
    `filter` - filter to use
  Returns:
    new instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.